﻿@model StarterProjectV2.Models.User

@{ Layout = ""; }
@section PAGETITLE{
   LOGIN
}

<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>HAMS - Login</title>
    <!-- Icons-->
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />
    <!-- Main styles for this application-->
    <link href="~/Content/css/style.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/pace.min.css" rel="stylesheet" />


    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
</head>


<body class=" app flex-row align-items-center" style='background: url("https://cf.bstatic.com/images/hotel/max1024x768/222/222719454.jpg") no-repeat center ;background-size: cover;' >
<div class="container-fluid">
<div class="row justify-content-center">
    <div class="col-md-4">
        <div class="card-group"  >
            <div class="card p-4"  style=" box-shadow:0 5px 5px 0 #43150E, 0 5px 5px 0 #43150E;  background-color:#A78A46">
                @*inside login box*@
                <div class="card-body" style='background:#C5A769 no-repeat center; background-size: cover;'>
                    <h1 style="color: #008cba">Login</h1>
                    <p style="font:message-box; color:white" >Sign In to your account</p>
                    @*Console.log(Session);*@
                    @using (Html.BeginForm("Login", "Accounts", new {ReturnUrl = ViewBag.ReturnUrl}, FormMethod.Post, new {@class = "form-horizontal", role = "form"}))

                    {
                        <div class="input-group mb-3" >
                            <div class="input-group-prepend">
                                <span class="input-group-text" style="color: white; background-color: black">
                                    <i class="icon-user"></i>
                                </span>
                            </div>
                       
                            @Html.TextBoxFor(m => m.UserName, new {@class = "form-control", placeholder = "Username", type = "text", @required = 'd', @id="UserName"})
                    

                        </div>


                        <div class="input-group mb-4">
                            <div class="input-group-prepend">
                                <span class="input-group-text" style="color: white; background-color: black">
                                    <i class="icon-lock"></i>
                                </span>
                            </div>
                            @Html.TextBoxFor(m => m.Password, new {@class = "form-control password", placeholder = "Password", type = "password", @required = 'd'})
                        </div>



                        <div class="row justify-content-center">
                            <div class="col-4 ">
                                @* class="btn   btn-block"*@
                                <button type="submit" class="btn   " style="color:#008CBA; background-color: white" onMouseOver="this.style.color = 'white';this.style.backgroundColor='#008CBA'" onMouseOut="this.style.color = '#008cba';this.style.backgroundColor='white'">LOGIN</button>
                            </div>
                        </div>
                    }
                </div>
            </div>


            @*<div class="card text-white bg-primary py-5 d-md-down-none" style="width:44%">
                <div class="card-body text-center">
                    <div>
                        <h2>HAMS</h2>
                        <p>A complete hotel management system.</p>
                        <button type="button" class="btn btn-primary active mt-3">Register Now!</button>
                    </div>
                </div>*@
            @*</div>*@
        </div>
        </div>
    </div>
</div>


<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>
<script>
    setTimeout(function () { $('#UserName').focus(); }, 200);
</script>
</body>
</html>
